SmartgridOne logo
SmartgridOne logo
Api
Activate email OTP POSTActivate TOTP POSTGet active 2FA methods GETSet or reset email OTP POSTInitiate email OTP challenge POSTInitiate an email address transfer POSTSet or reset TOTP POSTTime until the next email OTP may be generated GETSend a password reset email POSTComplete an email address transfer PUTTime until the next recovery code guess GETDeactivate email OTP DELETEDeactivate TOTP DELETEReset the recovery codes of a user POSTSend a password reset OTP POSTTime until the next TOTP guess GETUpdate password via OTP PUTUpdate password via sudo token PUTCheck a password reset OTP POSTComplete email OTP challenge POSTVerify a recovery code POSTVerify TOTP code POST
User
POST
/user/2fa/email-otp/challenge

Providing an access token, send an email OTP which can be used to acquire a sudo token

Authorization

AuthorizationBearer <token>

A valid access token (proof of identity) can be obtained via the /accesstoken endpoint. It has a 5 minutes validity period.

In: header

Query Parameters

origin?string
Lengthlength <= 256
language?string
Length2 <= length <= 2

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://authentication.eniris.be/user/2fa/email-otp/challenge" \  -H "Content-Type: application/json" \  -d '{}'

Set or reset email OTP POST

Providing a sudo token or an access token (if 2FA is disabled), configure a mail address for email OTP

Initiate an email address transfer POST

Providing a sudo token or an access token (if 2FA is disabled), send an email address verification code to a new email address to initiate an account email transfer. Wait at least 60 seconds between successive calls

application/json

application/json

application/json

The mail configuration which should be used to send the email

The language which should be used for sending the email

null
{
  "statusCode": 400,
  "error": "Bad Request",
  "message": "Invalid email address"
}
{
  "statusCode": 401,
  "error": "Unauthorized",
  "message": "NO_TOKEN_PROVIDED"
}
{
  "statusCode": 409,
  "error": "Conflict",
  "message": "EMAIL_OTP_UNINITIALIZED"
}
{
  "statusCode": 429,
  "retryAfter": 0,
  "error": "Too many requests",
  "message": "TOO_MANY_OTP_EMAILS"
}
{
  "statusCode": 500,
  "error": "Internal server error",
  "message": "UNABLE_TO_FIND_MAIL_TEMPLATE"
}